Download it now!
Bug 77812 - FILESAVE: DOCX: Extra Section break gets added after Roudtrip
Summary: FILESAVE: DOCX: Extra Section break gets added after Roudtrip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: pallavi.jadhav
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-23 14:25 UTC by pallavi.jadhav
Modified: 2014-05-09 21:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Contains data inside Two Culmns (13.17 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-23 14:25 UTC, pallavi.jadhav
Details
Left original, right roundtripped. (84.24 KB, image/png)
2014-04-25 20:01 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2014-04-23 14:25:03 UTC
Created attachment 97821 [details]
Contains data inside Two Culmns

Steps to reproduce :
1] Open attached document in LO
2] Perform save_as to DOCX
3] Open saved file in MS Office 2010

Current behavior :
Section Break Continuous gets added in the end of second column.

Expected behavior :
Section break continuous should not get added in the document.

Issue description :
Document contains two columns. LO adds Section break at the time of export at the end of second section.
Comment 1 Jorendc 2014-04-25 20:00:46 UTC
Reproducible, tested using Windows 8.1 with LibreOffice Versie: 4.3.0.0.alpha1 
Build ID: 46cfcd5a05aa1d13fecd73f5a25b64b8d8dd6781

Tested using Word 2013.

Kind regards,
Joren
Comment 2 Jorendc 2014-04-25 20:01:05 UTC
Created attachment 97979 [details]
Left original, right roundtripped.
Comment 3 Commit Notification 2014-05-07 07:35:50 UTC
Pallavi Jadhav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6eb92406bd366c557bc07810649e7ab3d1db614

fdo#77812 :FILESAVE :DOCX : Extra Section Break gets added in file



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2014-05-09 21:10:12 UTC
Looks fixed to me, tested using windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+ Build ID: e9b2787c2ece4c8260fbac6359257e1829c917d4
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-09_06:36:37

Thanks!

Kind regards,
Joren